Category: Issues Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed

Description

By now if you export a custom issue query for ex. as a PDF, its named "issues.pdf" which says nothing and is inconvenient to handle.
It would be much better to use the custom query name as the filename (whereas spaces are written as underscores). See my
attached image as an example we use it would be cool to directly save it as "incidents_of _last._month.pdf".

Just better: Optionally add a date to it "incidents_of_last_month_2014-02-03.pdf".

We use such exports for some partners so this would really make our lifes easier

Related issues:
Related to Redmine - Defect #38182: Exporting users query does not use the qu... Closed

Associated revisions

Revision 21773 - 2022-08-24 15:21 - Go MAEDA

Use query name as the file name when exporting queries (#16207).

Patch by Mizuki ISHIKAWA.

History

#1 - 2014-04-05 21:00 - Mathias Nestler
- File file_naming.diff added

change including tests attached

#2 - 2014-04-07 10:19 - Martin Seener

- Status changed from New to Resolved

see attached file_naming.diff for the resolving code parts. please merge and close this.

#3 - 2014-05-05 06:50 - Toshi MARUYAMA

- Status changed from Resolved to New

You need handle non ASCII filename.
See #16207.

#4 - 2014-05-05 06:53 - Toshi MARUYAMA
Toshi MARUYAMA wrote:

You need handle non ASCII filename.
See #16207.

Sorry, itis #16711.

#5 - 2014-05-12 23:18 - Mathias Nestler
- File file_namingZ2.diff added

Added fix to handle non ASCI!I filenames. The new diff file contains the complete change.
#6 - 2014-06-27 12:00 - Mathias Nestler
Toshi MARUYAMA wrote:

Toshi MARUYAMA wrote:

You need handle non ASCII filename.
See #16207.

Sorry, it is #16711.

Have you seen the fix?

#7 - 2014-08-21 12:45 - Mathias Nestler

Mathias Nestler wrote:
Toshi MARUYAMA wrote:
Toshi MARUYAMA wrote:

You need handle non ASCII filename.
See #16207.

Sorry, itis #16711.

Have you seen the fix?

#8 - 2019-08-23 08:36 - Mizuki ISHIKAWA
- File feature-16207.patch added

| modified patch file_naming?2.diff to apply to the trunk.
This patch renames issues.csv, issues.pdf and timelog.csv to custom field name.

#9 - 2019-09-01 13:00 - Go MAEDA

- Target version set to Candidate for next major release

#10 - 2020-08-22 08:16 - Go MAEDA
- File feature-16207-r19982.patch added

Update the patch for r19982.

#11 - 2022-08-12 07:25 - Go MAEDA
- File feature-16207-r21769.patch added

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#12 - 2022-08-12 07:25 - Go MAEDA

- Category changed from PDF export to Issues

#13 - 2022-08-24 15:22 - Go MAEDA
- Subject changed from File naming of exported custom queries to Use query name as the file name when exporting queries
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#14 - 2022-08-25 06:49 - Go MAEDA
- Status changed from New to Closed

#15 - 2023-01-16 03:19 - Go MAEDA

- Related to Defect #38182: Exporting users query does not use the query name as file name added

Files

incidents.png 27.6 KB 2014-03-03 Martin Seener
file_naming.diff 3.66 KB 2014-04-05 Mathias Nestler
file_naming2.diff 4.56 KB 2014-05-12 Mathias Nestler
feature-16207.patch 6.5 KB 2019-08-23 Mizuki ISHIKAWA
feature-16207-r19982.patch 6.41 KB 2020-08-22 Go MAEDA
feature-16207-r21769.patch 6.34 KB 2022-08-12 Go MAEDA
